package com.prolog.cs.biz.inbound.model.rcv;

import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description  
 * @Date 2021-06-10 
 */

@ApiModel
@Table ( value ="wms_in_rcv_temp_save" )
public class WmsInRcvTempSave  implements Serializable {
	private static final long serialVersionUID =  8635525749214393992L;
	@Id
	@AutoKey(type=AutoKey.TYPE_SNOWFLAKE)
	@ApiModelProperty(value = "单头ID(主键雪花id)") 
	@Column(value = "id")
	private String id;

	@ApiModelProperty(value = "企业ID") 
	@Column(value = "enterprise_id")
	private String enterpriseId;

	@ApiModelProperty(value = "仓配中心ID") 
	@Column(value = "dc_id")
	private String dcId;

	@ApiModelProperty(value = "仓ID") 
	@Column(value = "warehouse_id")
	private String warehouseId;

	@ApiModelProperty(value = "货主id") 
	@Column(value = "cargo_owner_id")
	private String cargoOwnerId;

	@ApiModelProperty(value = "内容") 
	@Column(value = "content")
	private String content;

	@ApiModelProperty(value = "创建日期") 
	@Column(value = "gmt_create")
	private Date gmtCreate;

	@ApiModelProperty(value = "创建人") 
	@Column(value = "creator")
	private String creator;

	@ApiModelProperty(value = "创建人") 
	@Column(value = "creator_name")
	private String creatorName;

	@ApiModelProperty(value = "最后修改日期") 
	@Column(value = "gmt_modified")
	private Date gmtModified;

	@ApiModelProperty(value = "最后修改人") 
	@Column(value = "modifier")
	private String modifier;

	@ApiModelProperty(value = "最后修改人") 
	@Column(value = "modifier_name")
	private String modifierName;

	/** 来源单ID列表(ASN) **/
	@ApiModelProperty(value = "来源单ID列表(ASN)")
	@Column(value = "ASN_HEADER_ID")
	private String asnHeaderId;

	/** 来源单号列表(ASN) **/
	@ApiModelProperty(value = "来源单号列表(ASN)")
	@Column(value = "ASN_AUTO_BILL_NUM")
	private String asnAutoBillNum;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getEnterpriseId() {
		return enterpriseId;
	}

	public void setEnterpriseId(String enterpriseId) {
		this.enterpriseId = enterpriseId;
	}

	public String getDcId() {
		return dcId;
	}

	public void setDcId(String dcId) {
		this.dcId = dcId;
	}

	public String getWarehouseId() {
		return warehouseId;
	}

	public void setWarehouseId(String warehouseId) {
		this.warehouseId = warehouseId;
	}

	public String getCargoOwnerId() {
		return cargoOwnerId;
	}

	public void setCargoOwnerId(String cargoOwnerId) {
		this.cargoOwnerId = cargoOwnerId;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public Date getGmtCreate() {
		return gmtCreate;
	}

	public void setGmtCreate(Date gmtCreate) {
		this.gmtCreate = gmtCreate;
	}

	public String getCreator() {
		return creator;
	}

	public void setCreator(String creator) {
		this.creator = creator;
	}

	public String getCreatorName() {
		return creatorName;
	}

	public void setCreatorName(String creatorName) {
		this.creatorName = creatorName;
	}

	public Date getGmtModified() {
		return gmtModified;
	}

	public void setGmtModified(Date gmtModified) {
		this.gmtModified = gmtModified;
	}

	public String getModifier() {
		return modifier;
	}

	public void setModifier(String modifier) {
		this.modifier = modifier;
	}

	public String getModifierName() {
		return modifierName;
	}

	public void setModifierName(String modifierName) {
		this.modifierName = modifierName;
	}

	public String getAsnHeaderId() {
		return asnHeaderId;
	}

	public void setAsnHeaderId(String asnHeaderId) {
		this.asnHeaderId = asnHeaderId;
	}

	public String getAsnAutoBillNum() {
		return asnAutoBillNum;
	}

	public void setAsnAutoBillNum(String asnAutoBillNum) {
		this.asnAutoBillNum = asnAutoBillNum;
	}
}
